Loading...
Searching...
No Matches
RootNode< ChildT >::ChildIterator Class Reference

`#include <nanovdb/util/GridBuilder.h>`

## Public Member Functions

| ChildIterator ()
| ChildIterator (const RootNode *parent)
ChildIterator & | operator= (const ChildIterator &)=default
ChildT & | operator* () const
ChildT * | operator-> () const
Coord | getOrigin () const
Coord | getCoord () const
| operator bool () const
ChildIterator & | operator++ ()
ChildIterator | operator++ (int)
uint32_t | pos () const

## Constructor & Destructor Documentation

## ChildIterator() [1/2]

template<typename ChildT>

ChildIterator | ( |  | ) |

inline

## ChildIterator() [2/2]

template<typename ChildT>

ChildIterator | ( | const RootNode * | parent | ) |

inline

## Member Function Documentation

## getCoord()

template<typename ChildT>

Coord getCoord | ( |  | ) | const

inline

## getOrigin()

template<typename ChildT>

Coord getOrigin | ( |  | ) | const

inline

## operator bool()

template<typename ChildT>

operator bool | ( |  | ) | const

inline

## operator*()

template<typename ChildT>

ChildT & operator* | ( |  | ) | const

inline

## operator++() [1/2]

template<typename ChildT>

ChildIterator & operator++ | ( |  | ) |

inline

## operator++() [2/2]

template<typename ChildT>

ChildIterator operator++ | ( | int |  | ) |

inline

## operator->()

template<typename ChildT>

ChildT * operator-> | ( |  | ) | const

inline

## operator=()

template<typename ChildT>

ChildIterator & operator= | ( | const ChildIterator & |  | ) |

default

## pos()

template<typename ChildT>

uint32_t pos | ( |  | ) | const

inline